>From 337665abbb283a643f84354a4ca3165ae836d79d Mon Sep 17 00:00:00 2001
From: Bertram Felgenhauer <int-e@gmx.de>
Date: Tue, 24 Feb 2009 16:00:48 +0100
Subject: [PATCH 4/4] fix cmake build: link nelmisc library with libpng

---
 nel/CMakeLists.txt          |    2 ++
 nel/src/misc/CMakeLists.txt |    4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/nel/CMakeLists.txt b/nel/CMakeLists.txt
index 4d0fd6b..799ac22 100644
--- a/nel/CMakeLists.txt
+++ b/nel/CMakeLists.txt
@@ -48,6 +48,8 @@ NL_SETUP_DEFAULT_OPTIONS()
 
 FIND_PACKAGE(Threads REQUIRED)
 FIND_PACKAGE(LibXml2 REQUIRED)
+FIND_PACKAGE(PNG REQUIRED)
+
 NL_SETUP_BUILD()
 
 IF(WITH_3D)
diff --git a/nel/src/misc/CMakeLists.txt b/nel/src/misc/CMakeLists.txt
index 3d56b2e..1e9194a 100644
--- a/nel/src/misc/CMakeLists.txt
+++ b/nel/src/misc/CMakeLists.txt
@@ -16,8 +16,8 @@ IF(WITH_GTK)
   ENDIF(GTK2_FOUND)
 ENDIF(WITH_GTK)
 
-INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR} config_file)
-TARGET_LINK_LIBRARIES(${LIBNAME} ${LIBXML2_LIBRARIES} ${WINSOCK2_LIB})
+INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR} ${PNG_INCLUDE_DIR} config_file)
+TARGET_LINK_LIBRARIES(${LIBNAME} ${LIBXML2_LIBRARIES} ${PNG_LIBRARIES} ${WINSOCK2_LIB})
 SET_TARGET_PROPERTIES(${LIBNAME} PROPERTIES VERSION ${NL_VERSION})
 
 IF(WIN32)
-- 
1.6.1.3

